import wx
from bufferedcanvas import *

class MyHorizonIndicator(BufferedCanvas):
	def __init__(self,parent,id,sizeT):
		self.roll = 0
		self.pitch = 0
		BufferedCanvas.__init__(self,parent,id,size=sizeT)
		#default size is (500,150)
		
	def draw(self, dc):
		sky = wx.Brush((158,191,198))
		ground = wx.Brush((130,93,61))
		dc.SetBackground(sky)
		dc.Clear()
		dc.SetBrush(ground)
		dc.DrawRectangle(0,75,500,75)
	#end of method draw
	
	def setPitch(pitch):
		self.pitch = pitch
		self.update()
	def setRoll(roll):
		self.roll = roll
		self.update()
# end of class MyHorizonIndicator